Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.extensions
Class ProfileDataRecord

    java.lang.Object
      weblogic.jdbc.extensions.ProfileDataRecord

All Implemented Interfaces:
  Serializable, weblogic.diagnostics.instrumentation.EventPayload

    public class ProfileDataRecord

extends Object
implements weblogic.diagnostics.instrumentation.EventPayload

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_ALL`
`static String` | `TYPE_ALL_STR`
`static int` | `TYPE_CONN_LAST_USAGE`
`static String` | `TYPE_CONN_LAST_USAGE_STR`
`static int` | `TYPE_CONN_LEAK`
`static String` | `TYPE_CONN_LEAK_STR`
`static int` | `TYPE_CONN_MT_USAGE`
`static String` | `TYPE_CONN_MT_USAGE_STR`
`static int` | `TYPE_CONN_RESV_FAIL`
`static String` | `TYPE_CONN_RESV_FAIL_STR`
`static int` | `TYPE_CONN_RESV_WAIT`
`static String` | `TYPE_CONN_RESV_WAIT_STR`
`static int` | `TYPE_CONN_USAGE`
`static String` | `TYPE_CONN_USAGE_STR`
`static int` | `TYPE_NONE`
`static String` | `TYPE_NONE_STR`
`static int` | `TYPE_STMT_CACHE_ENTRY`
`static String` | `TYPE_STMT_CACHE_ENTRY_STR`
`static int` | `TYPE_STMT_USAGE`
`static String` | `TYPE_STMT_USAGE_STR`

Constructor Summary
`ProfileDataRecord(String poolName, String id, String user, String timestamp)`

Method Summary
`String` | `getId()`
`String` | `getPoolName()`
`String` | `getTimestamp()`
`String` | `getUser()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_NONE

    public static final int TYPE_NONE

See Also:
  Constant Field Values

### TYPE_NONE_STR

    public static final String TYPE_NONE_STR

See Also:
  Constant Field Values

### TYPE_ALL

    public static final int TYPE_ALL

See Also:
  Constant Field Values

### TYPE_ALL_STR

    public static final String TYPE_ALL_STR

See Also:
  Constant Field Values

### TYPE_CONN_USAGE

    public static final int TYPE_CONN_USAGE

See Also:
  Constant Field Values

### TYPE_CONN_USAGE_STR

    public static final String TYPE_CONN_USAGE_STR

See Also:
  Constant Field Values

### TYPE_CONN_RESV_WAIT

    public static final int TYPE_CONN_RESV_WAIT

See Also:
  Constant Field Values

### TYPE_CONN_RESV_WAIT_STR

    public static final String TYPE_CONN_RESV_WAIT_STR

See Also:
  Constant Field Values

### TYPE_CONN_LEAK

    public static final int TYPE_CONN_LEAK

See Also:
  Constant Field Values

### TYPE_CONN_LEAK_STR

    public static final String TYPE_CONN_LEAK_STR

See Also:
  Constant Field Values

### TYPE_CONN_RESV_FAIL

    public static final int TYPE_CONN_RESV_FAIL

See Also:
  Constant Field Values

### TYPE_CONN_RESV_FAIL_STR

    public static final String TYPE_CONN_RESV_FAIL_STR

See Also:
  Constant Field Values

### TYPE_STMT_CACHE_ENTRY

    public static final int TYPE_STMT_CACHE_ENTRY

See Also:
  Constant Field Values

### TYPE_STMT_CACHE_ENTRY_STR

    public static final String TYPE_STMT_CACHE_ENTRY_STR

See Also:
  Constant Field Values

### TYPE_STMT_USAGE

    public static final int TYPE_STMT_USAGE

See Also:
  Constant Field Values

### TYPE_STMT_USAGE_STR

    public static final String TYPE_STMT_USAGE_STR

See Also:
  Constant Field Values

### TYPE_CONN_LAST_USAGE

    public static final int TYPE_CONN_LAST_USAGE

See Also:
  Constant Field Values

### TYPE_CONN_LAST_USAGE_STR

    public static final String TYPE_CONN_LAST_USAGE_STR

See Also:
  Constant Field Values

### TYPE_CONN_MT_USAGE

    public static final int TYPE_CONN_MT_USAGE

See Also:
  Constant Field Values

### TYPE_CONN_MT_USAGE_STR

    public static final String TYPE_CONN_MT_USAGE_STR

See Also:
  Constant Field Values

Constructor Detail

### ProfileDataRecord

    public ProfileDataRecord(String poolName,
                             String id,
                             String user,
                             String timestamp)

Method Detail

### getPoolName

    public String getPoolName()

### getId

    public String getId()

### getTimestamp

    public String getTimestamp()

### getUser

    public String getUser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD